Bug 1687286

Summary: Specifying same RPM filename in commandline breaks installation
Product: [Fedora] Fedora Reporter: Igor Raits <igor.raits>
Component: dnfAssignee: Jaroslav Mracek <jmracek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: dmach, jmracek, jrohel, mblaha, mhatina, packaging-team-maint, pkratoch, rpm-software-management, vmukhame
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: dnf-4.2.5-1.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-29 02:15:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Igor Raits 2019-03-11 08:14:47 UTC
Description of problem:
⋊> ~/t/p/rust-inotify on master ⨯ sudo dnf install /home/brain/rpmbuild/RPMS/noarch/rust-inotify-devel-0.7.0-1.fc31.noarch.rpm /home/brain/rpmbuild/RPMS/noarch/rust-inotify+default-devel-0.7.0-1.fc31.noarch.rpm /home/brain/rpmbuild/RPMS/noarch/rust-inotify*
[sudo] password for brain: 
Last metadata expiration check: 0:10:50 ago on Mon 11 Mar 2019 09:01:32 AM CET.
Package rust-inotify-sys+default-devel-0.1.3-1.fc31.noarch is already installed.
Package rust-inotify-sys-devel-0.1.3-1.fc31.noarch is already installed.
Error: 
 Problem 1: cannot install both rust-inotify-devel-0.7.0-1.fc31.noarch and rust-inotify-devel-0.7.0-1.fc31.noarch
  - conflicting requests
 Problem 2: cannot install both rust-inotify+default-devel-0.7.0-1.fc31.noarch and rust-inotify+default-devel-0.7.0-1.fc31.noarch
  - conflicting requests
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages)
⋊> ~/t/p/rust-inotify on master ⨯ sudo dnf install /home/brain/rpmbuild/RPMS/noarch/rust-inotify-devel-0.7.0-1.fc31.noarch.rpm /home/brain/rpmbuild/RPMS/noarc⋊> ~/t/p/rust-inotify on master ⨯ ll /home/brain/rpmbuild/RPMS/noarch/rust-inotify*                                                                   09:12:43
-rw-r--r--. 1 brain brain 6.8K Mar 11 09:04 /home/brain/rpmbuild/RPMS/noarch/rust-inotify+default-devel-0.7.0-1.fc31.noarch.rpm
-rw-r--r--. 1 brain brain  28K Mar 11 09:04 /home/brain/rpmbuild/RPMS/noarch/rust-inotify-devel-0.7.0-1.fc31.noarch.rpm
-rw-r--r--. 1 brain brain 6.9K Mar 11 09:04 /home/brain/rpmbuild/RPMS/noarch/rust-inotify+futures-devel-0.7.0-1.fc31.noarch.rpm
-rw-r--r--. 1 brain brain 6.9K Mar 11 09:04 /home/brain/rpmbuild/RPMS/noarch/rust-inotify+mio-devel-0.7.0-1.fc31.noarch.rpm
-rw-r--r--. 1 brain brain 7.2K Mar 11 09:04 /home/brain/rpmbuild/RPMS/noarch/rust-inotify+stream-devel-0.7.0-1.fc31.noarch.rpm
-rw-r--r--. 1 brain brain 6.9K Mar 11 09:01 /home/brain/rpmbuild/RPMS/noarch/rust-inotify-sys+default-devel-0.1.3-1.fc31.noarch.rpm
-rw-r--r--. 1 brain brain  17K Mar 11 09:01 /home/brain/rpmbuild/RPMS/noarch/rust-inotify-sys-devel-0.1.3-1.fc31.noarch.rpm
-rw-r--r--. 1 brain brain 6.9K Mar 11 09:04 /home/brain/rpmbuild/RPMS/noarch/rust-inotify+tokio-devel-0.7.0-1.fc31.noarch.rpm
-rw-r--r--. 1 brain brain 6.9K Mar 11 09:04 /home/brain/rpmbuild/RPMS/noarch/rust-inotify+tokio-io-devel-0.7.0-1.fc31.noarch.rpm
-rw-r--r--. 1 brain brain 7.0K Mar 11 09:04 /home/brain/rpmbuild/RPMS/noarch/rust-inotify+tokio-reactor-devel-0.7.0-1.fc31.noarch.rpm

Version-Release number of selected component (if applicable):
dnf-4.1.0-1.fc30.noarch
libdnf-0.26.0-2.fc30.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Run `dnf install /path/to/rpm /same/path/to/rpm`

Actual results:
 Problem: cannot install both rust-inotify-devel-0.7.0-1.fc31.noarch and rust-inotify-devel-0.7.0-1.fc31.noarch

Expected results:
RPM is happily installed.

Comment 1 Jaroslav Mracek 2019-03-11 17:55:06 UTC
I create a patch (https://github.com/rpm-software-management/dnf/pull/1351) that remove redundant arguments.

Comment 2 Fedora Update System 2019-04-25 16:43:30 UTC
dnf-4.2.5-1.fc29 libdnf-0.31.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2612a121ba

Comment 3 Fedora Update System 2019-04-26 22:10:08 UTC
dnf-4.2.5-1.fc29, libdnf-0.31.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2612a121ba

Comment 4 Fedora Update System 2019-04-29 02:15:08 UTC
dnf-4.2.5-1.fc29, libdnf-0.31.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.